#
# spec file for package sam9407 (Version 1.0.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp kernel-source libgpp xaw3d xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd kernel-source less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xaw3d xdevel xf86 xshared

Name:         sam9407
Copyright:    1997-1999 Christian Bauer et al.
Group:        System Environment/Kernel
Autoreqprov:  on
Version:      1.0.0
Release:      132
Summary:      software for soundcards with dream chipset
Source:       http://www.anime.net/~sam9407/sam9407-%{version}.tar.gz
Patch:        sam9407-%{version}.dif

%description
Here is the binary to initialize the card.
To activate, please set START_SAM9407 to "yes".

SuSE series: snd

%package -n km_sam9407
Summary:      kernel driver source
Group: System Environment/Kernel

%description -n km_sam9407
INTERNAL USE ONLY

SuSE series: suse

%prep
%setup
%patch

%build
pushd /usr/src/linux
yes "" | make oldconfig
make include/linux/version.h
popd
autoconf
./configure --mandir=%{_mandir}
make

%install
make install
ln -sf ../etc/init.d/sam9407 /sbin/rcsam9407
mkdir -p /var/adm/fillup-templates
cp -a rc.config.sam9407 /var/adm/fillup-templates
mkdir -p /usr/src/kernel-modules
make -C kernel clean
cp -a kernel /usr/src/kernel-modules/sam9407

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q etc/rc.config var/adm/fillup-templates/rc.config.sam9407
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.sam9407"
  echo "and update by hand."
fi
sbin/insserv etc/init.d/sam9407

%postun
sbin/insserv etc/init.d/

%files
%doc CREDITS FAQ INSTALL README VERSION
%config /etc/init.d/sam9407
/sbin/sam9407
/sbin/rcsam9407
/usr/include/sys/sam9407.h
%doc %{_mandir}/man4/sam9407.4.gz
%doc %{_mandir}/man5/sam9407.conf.5.gz
%doc %{_mandir}/man8/sam9407.8.gz
/lib/devfsd-sam9407.so
/usr/X11R6/bin/x9407
/usr/X11R6/man/man1/x9407.1x.gz
/usr/X11R6/lib/X11/app-defaults/X9407
/usr/share/locale/*/LC_MESSAGES/sam9407.mo
#/usr/X11R6/lib/X11/*/app-defaults/X9407
/var/adm/fillup-templates/rc.config.sam9407

%files -n km_sam9407
/usr/src/kernel-modules/sam9407

%changelog -n sam9407
* Wed Aug 15 2001 - ro@suse.de
- fixed startscript
- fixed to build on 64bit archs
* Tue May 08 2001 - ro@suse.de
- fixed to build
- up to 1.0.0 (fixed isapnp with 2.4 kernel)
* Fri Apr 06 2001 - ro@suse.de
- update to 0.12.4
- fix neededforbuild
* Wed Mar 14 2001 - ro@suse.de
- added lx_sus24 for now
* Wed Jan 17 2001 - ro@suse.de
- created package
